1

I am trying to install spacewalk on centos 6.8 with the help of official documentation https://fedorahosted.org/spacewalk/wiki/HowToInstall.

even after adding required repositories i am getting following errors

No package spacewalk-setup-postgresql available. 
No package spacewalk-postgresql available.
  • Do you see the repositories enabled when you run "yum repolist"? Because those packages are in those repo for sure. See yum.spacewalkproject.org/2.5/RHEL/6/x86_64 – msuchy Aug 18 '16 at 10:06
  • No , it was missing there , so i manually copied repo files to /etc/yum.repos.d – Shyam Jos Aug 18 '16 at 17:20
0

I fixed it myself by using yum command to install rpm package.

yum install http://yum.spacewalkproject.org/2.5/RHEL/6/x86_64/spacewalk-repo-2.5-3.el6.noarch.rpm

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.